<?php

declare(strict_types=1);

namespace App\Models\Admin;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class BuildingDistribution extends Model
{
    use HasFactory;

    /**
     * @var string
     */
    protected $connection = 'mysql_admin';

    /**
     * @var string
     */
    protected $table = 'building_distributions';

    /**
     * The attributes that are mass assignable.
     *
     * @var array<int, string>
     */
    protected $fillable = [
        'area_id',
        'name',
        'description',
        'image',
        'sort',
        'is_display',
    ];

    /**
     * The attributes that should be cast.
     *
     * @var array<string, string>
     */
    protected $casts = [
        'area_id' => 'integer',
        'sort' => 'integer',
        'is_display' => 'integer',
    ];
}
